import request from '@/utils/request'

// 查询卷膜运行条件列表
export function listAutoTerm(query) {
  return request({
    url: '/control/autoTerm/list',
    method: 'get',
    params: query
  })
}

// 查询卷膜运行条件详细
export function getAutoTerm(id) {
  return request({
    url: '/control/autoTerm/' + id,
    method: 'get'
  })
}

// 新增卷膜运行条件
export function addAutoTerm(data) {
  return request({
    url: '/control/autoTerm',
    method: 'post',
    data: data
  })
}

// 修改卷膜运行条件
export function updateAutoTerm(data) {
  return request({
    url: '/control/autoTerm',
    method: 'put',
    data: data
  })
}

// 删除卷膜运行条件
export function delAutoTerm(id) {
  return request({
    url: '/control/autoTerm/' + id,
    method: 'delete'
  })
}
